MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025384Community[OCCT] OCCT:Data Exchangepublic2014-10-16 04:072015-12-03 06:19
Reporterthomhong 
Assigned Tothomhong 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.7.1 
Target VersionFixed in Version[OCCT] 6.9.1 
Summary0025384: STEP Export crashes process
DescriptionOn our product's release build, the process crashes when writing out the attached STEP file as a STEP export file. This occurs with both OCC 6.7.0 and OCC 6.7.1.
Steps To Reproduce* Using the ImportExport sample app, open the attached STEP file
* Select the body and export to STEP
* The export fails in the sample
TagsNo tags attached.
Test case number
Attached Files? file icon 303419.stp (51,487 bytes) 2014-10-16 04:07

- Relationships

-  Notes
(0033222)
abv (manager)
2014-10-16 16:31

I could not reproduce the problem neither in Qt Import Export sample, nor in DRAW:

Draw[2]> stepread d:/temp/303419.stp a *
Reduced model for translation without additional info will be used
Elapsed time: 0 Hours 0 Minutes 0.0189826128144 Seconds
CPU user time: 0 seconds
CPU system time: 0 seconds
Elapsed time: 0 Hours 0 Minutes 0.0199041950818 Seconds
CPU user time: 0 seconds
CPU system time: 0 seconds
Elapsed time: 0 Hours 0 Minutes 0.0210256186656 Seconds
CPU user time: 0 seconds
CPU system time: 0 seconds
Elapsed time: 0 Hours 0 Minutes 0.0230032219042 Seconds
CPU user time: 0 seconds
CPU system time: 0 seconds
DBRep_IsoBuilder:: V iso of parameter: 0.99999999999533 Incompatible States
DBRep_IsoBuilder:: V iso of parameter: 0.999999999998443 Incompatible States
DBRep_IsoBuilder:: V iso of parameter: 2.67759469641494e-013 Incompatible States

DBRep_IsoBuilder:: V iso of parameter: 8.03278408924481e-013 Incompatible States

 File STEP to read : d:/temp/303419.stp
 -- Names of variables BREP-DRAW prefixed by : a
      ... Step File Reading : d:/temp/303419.stp
      ... STEP File Read ...
      ... Step File loaded ...
   1686 records (entities,sub-lists,scopes), 4786 parameters

      ... Parameters prepared ... Report : 2 unknown entities.
      ... Objets analysed ...
  STEP Loading done : 1004 Entities
Transferrable Roots : Nb entities selected : 1
Transfer entity n0 7 OK -> DRAW Shape: a_1
Now, 1 Shapes produced

Draw[3]> newmodel
Draw[4]> stepwrite a a_1 d:/303419-saved.stp

*******************************************************************
****** Statistics on Transfer (Write) ******

*******************************************************************
****** Transfer Mode = 0 I.E. As Is ******
****** Transferring Shape, ShapeType = 0 ******
Translation: OK
** WorkSession : Sending all data
 Step File Name : d:/303419-saved.stp(6171 ents) Write Done
File d:/303419-saved.stp written

I have tested both 6.7.1 and current 6.8.0.beta.

There is however a general problem with STEP export in MFC Import Export sample, now reported in 0025387. Please confirm that this is the same problem, or provide more detailed description if the problem is different.
(0048707)
thomhong (reporter)
2015-12-02 23:24

Tested with 6.9.1 release - issue does not reproduce. Thank you!

- Issue History
Date Modified Username Field Change
2014-10-16 04:07 thomhong New Issue
2014-10-16 04:07 thomhong Assigned To => gka
2014-10-16 04:07 thomhong File Added: 303419.stp
2014-10-16 16:31 abv Note Added: 0033222
2014-10-16 16:31 abv Assigned To gka => thomhong
2014-10-16 16:31 abv Status new => feedback
2015-12-02 23:24 thomhong Note Added: 0048707
2015-12-03 06:19 abv Status feedback => closed
2015-12-03 06:19 abv Resolution open => fixed
2015-12-03 06:19 abv Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker